Create new integration

Creates a new integration with the provided details.

POST
/blueprints/{blueprintId}/integrations
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

Path Parameters

blueprintIdstring

Blueprint ID

Integration creation request

Empty Object

Response Body

curl -X POST "https://eu1.api.bivariant.com/v1/blueprints/string/integrations" \  -H "Content-Type: application/json" \  -d '{}'
{
  "blueprintId": "string",
  "createdAt": "string",
  "definition": {
    "auth": [
      {
        "default": true,
        "description": "string",
        "kind": "basic",
        "name": "string",
        "params": [
          {
            "advanced": true,
            "description": "string",
            "hidden": true,
            "in": "path",
            "mapFrom": "string",
            "name": "string",
            "options": [
              {
                "label": "string",
                "value": "string"
              }
            ],
            "required": true,
            "schema": null,
            "secret": true,
            "title": "string",
            "transforms": [
              {
                "conditions": [
                  {
                    "else": {
                      "conditions": [],
                      "source": "string",
                      "target": "string",
                      "transform": "string",
                      "type": "string"
                    },
                    "if": "string",
                    "then": {
                      "conditions": [],
                      "source": "string",
                      "target": "string",
                      "transform": "string",
                      "type": "string"
                    }
                  }
                ],
                "source": "string",
                "target": "string",
                "transform": "string",
                "type": "string"
              }
            ],
            "value": null
          }
        ],
        "title": "string"
      }
    ],
    "baseUrl": "string",
    "dataTypes": {
      "property1": null,
      "property2": null
    },
    "kind": "rest",
    "name": "string",
    "operations": [
      {
        "accept": "application/json",
        "auth": "string",
        "description": "string",
        "id": "string",
        "inputs": [
          {
            "advanced": true,
            "description": "string",
            "hidden": true,
            "in": "path",
            "mapFrom": "string",
            "name": "string",
            "options": [
              {
                "label": "string",
                "value": "string"
              }
            ],
            "required": true,
            "schema": null,
            "secret": true,
            "title": "string",
            "transforms": [
              {
                "conditions": [
                  {
                    "else": {
                      "conditions": [],
                      "source": "string",
                      "target": "string",
                      "transform": "string",
                      "type": "string"
                    },
                    "if": "string",
                    "then": {
                      "conditions": [],
                      "source": "string",
                      "target": "string",
                      "transform": "string",
                      "type": "string"
                    }
                  }
                ],
                "source": "string",
                "target": "string",
                "transform": "string",
                "type": "string"
              }
            ],
            "value": null
          }
        ],
        "method": "GET",
        "name": "string",
        "output": [
          {
            "errorCodePath": "string",
            "errorMessagePath": "string",
            "failure": true,
            "format": "application/json",
            "forwardHttpErrorCode": true,
            "httpCode": 0,
            "schema": null,
            "transform": [
              {
                "conditions": [
                  {
                    "else": {
                      "conditions": [],
                      "source": "string",
                      "target": "string",
                      "transform": "string",
                      "type": "string"
                    },
                    "if": "string",
                    "then": {
                      "conditions": [],
                      "source": "string",
                      "target": "string",
                      "transform": "string",
                      "type": "string"
                    }
                  }
                ],
                "source": "string",
                "target": "string",
                "transform": "string",
                "type": "string"
              }
            ],
            "uiSchema": {
              "ui:options": {},
              "ui:order": [
                "string"
              ],
              "ui:widget": "string"
            }
          }
        ],
        "path": "string",
        "produce": "application/json",
        "query": "string",
        "retry": {
          "attempts": 0,
          "backoff": "string",
          "initialDelay": 0,
          "maxDelay": 0
        },
        "summary": "string",
        "timeout": 0,
        "title": "string"
      }
    ],
    "params": [
      {
        "advanced": true,
        "description": "string",
        "hidden": true,
        "in": "path",
        "mapFrom": "string",
        "name": "string",
        "options": [
          {
            "label": "string",
            "value": "string"
          }
        ],
        "required": true,
        "schema": null,
        "secret": true,
        "title": "string",
        "transforms": [
          {
            "conditions": [
              {
                "else": {
                  "conditions": [],
                  "source": "string",
                  "target": "string",
                  "transform": "string",
                  "type": "string"
                },
                "if": "string",
                "then": {
                  "conditions": [],
                  "source": "string",
                  "target": "string",
                  "transform": "string",
                  "type": "string"
                }
              }
            ],
            "source": "string",
            "target": "string",
            "transform": "string",
            "type": "string"
          }
        ],
        "value": null
      }
    ],
    "rateLimits": [
      {
        "metric": "string",
        "period": "string",
        "requests": 0,
        "strategy": "string"
      }
    ],
    "title": "string",
    "version": "string"
  },
  "id": "string",
  "kind": "rest",
  "name": "string",
  "uid": "string",
  "updatedAt": "string",
  "version": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}